Help us shape the future of Go! Take the 2026 Go Developer Survey

endpoint

package
v0.44.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Oct 18, 2022 License: MIT Imports: 4 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type EndpointRequestBuilder

type EndpointRequestBuilder struct {
	// contains filtered or unexported fields
}

EndpointRequestBuilder casts the previous resource to endpoint.

func NewEndpointRequestBuilder

NewEndpointRequestBuilder instantiates a new EndpointRequestBuilder and sets the default values.

func NewEndpointRequestBuilderInternal

func NewEndpointRequestBuilderInternal(pathParameters map[string]string, requestAdapter i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestAdapter) *EndpointRequestBuilder

NewEndpointRequestBuilderInternal instantiates a new EndpointRequestBuilder and sets the default values.

func (*EndpointRequestBuilder) CreateGetRequestInformation

CreateGetRequestInformation get the item of type microsoft.graph.directoryObject as microsoft.graph.endpoint

func (*EndpointRequestBuilder) Get

Get get the item of type microsoft.graph.directoryObject as microsoft.graph.endpoint

type EndpointRequestBuilderGetQueryParameters

type EndpointRequestBuilderGetQueryParameters struct {
	// Expand related entities
	Expand []string `uriparametername:"%24expand"`
	// Select properties to be returned
	Select []string `uriparametername:"%24select"`
}

EndpointRequestBuilderGetQueryParameters get the item of type microsoft.graph.directoryObject as microsoft.graph.endpoint

type EndpointRequestBuilderGetRequestConfiguration

type EndpointRequestBuilderGetRequestConfiguration struct {
	// Request headers
	Headers map[string]string
	// Request options
	Options []i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestOption
	// Request query parameters
	QueryParameters *EndpointRequestBuilderGetQueryParameters
}

EndpointRequestBuilderGetRequestConfiguration configuration for the request such as headers, query parameters, and middleware options.

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL